CVE-2006-2550
CVSS5.1
发布时间 :2006-05-23 06:06:00
修订时间 :2011-03-07 21:36:29
NMCO    

[原文]perlpodder before 0.5 allows remote attackers to execute arbitrary code via shell metacharacters in the URL of a podcast, which are executed when saving the URL to a log file. NOTE: the wget vector is already covered by CVE-2006-2548.


[CNNVD]Perlpodder 任意Shell命令执行漏洞(CNNVD-200605-440)

        Perlpodder是用PERL编写的podcatcher脚本,用于自动下载多媒体文件的索引。
        Perlpodder实现上存在输入验证漏洞,远程攻击者可能利用此漏洞诱使用户在客户机器上执行任意命令。
        当使用perlpodder获取文件索引的时候,perlpodder会从服务器所提供的XML文件获取媒体文件的URL。该URL保存到了$dlset变量中。有两种情况会同system()命令使用这个变量:
        第一种用途是同echo记录URL(278行):
        [...]
        277 # add urls to log file to mark as retrieved
        278 $addurl = "echo " . $dlset . " >> $log_path ";
        279 system $addurl;
        [...]
        第二种用途是用wget获取媒体文件(294行):
        [...]
        291 # Prepair to call wget
        292
        293 $wget_path = "$cwd". "$datadir" ;
        294 $wget_cmd = "wget --quiet --background -o /dev/null -c --tries=2
         --timeout=20 --random-wait " . $dlset . " -P ".
        $wget_path ;
        295
        296 if ($DEBUG > 0) {
        297
        298 print "running " . $wget_cmd . "\n" ;
        299
        300 }
        301
        302 system $wget_cmd;
        [...]
        但没有正确的过滤$dlset,因此远程服务器可以在URL中包含任意Shell命令,然后使脚本调用system()执行。
        
        

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:perlpodder:perlpodder:0.3
cpe:/a:perlpodder:perlpodder:0.4
cpe:/a:perlpodder:perlpodder:0.2

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2550
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2550
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-440
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/1906
(UNKNOWN)  VUPEN  ADV-2006-1906
http://www.securityfocus.com/bid/18067
(UNKNOWN)  BID  18067
http://www.securityfocus.com/archive/1/archive/1/434711/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060522 Perlpodder Remote Arbitrary Command Execution
http://www.redteam-pentesting.de/advisories/rt-sa-2006-003.php
(VENDOR_ADVISORY)  MISC  http://www.redteam-pentesting.de/advisories/rt-sa-2006-003.php
http://xforce.iss.net/xforce/xfdb/26575
(UNKNOWN)  XF  perlpodder-dlset-command-execution(26575)
http://www.osvdb.org/25708
(UNKNOWN)  OSVDB  25708
http://secunia.com/advisories/20238
(UNKNOWN)  SECUNIA  20238
http://archives.neohapsis.com/archives/fulldisclosure/2006-05/0570.html
(UNKNOWN)  FULLDISC  20060522 Perlpodder Remote Arbitrary Command Execution

- 漏洞信息

Perlpodder 任意Shell命令执行漏洞
中危 输入验证
2006-05-23 00:00:00 2006-05-24 00:00:00
远程  
        Perlpodder是用PERL编写的podcatcher脚本,用于自动下载多媒体文件的索引。
        Perlpodder实现上存在输入验证漏洞,远程攻击者可能利用此漏洞诱使用户在客户机器上执行任意命令。
        当使用perlpodder获取文件索引的时候,perlpodder会从服务器所提供的XML文件获取媒体文件的URL。该URL保存到了$dlset变量中。有两种情况会同system()命令使用这个变量:
        第一种用途是同echo记录URL(278行):
        [...]
        277 # add urls to log file to mark as retrieved
        278 $addurl = "echo " . $dlset . " >> $log_path ";
        279 system $addurl;
        [...]
        第二种用途是用wget获取媒体文件(294行):
        [...]
        291 # Prepair to call wget
        292
        293 $wget_path = "$cwd". "$datadir" ;
        294 $wget_cmd = "wget --quiet --background -o /dev/null -c --tries=2
         --timeout=20 --random-wait " . $dlset . " -P ".
        $wget_path ;
        295
        296 if ($DEBUG > 0) {
        297
        298 print "running " . $wget_cmd . "\n" ;
        299
        300 }
        301
        302 system $wget_cmd;
        [...]
        但没有正确的过滤$dlset,因此远程服务器可以在URL中包含任意Shell命令,然后使脚本调用system()执行。
        
        

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://prdownloads.sourceforge.net/perlpodder/perlpodder-0.5.tar.gz?download

- 漏洞信息

25708
Perlpodder Crafted URL Arbitrary Command Execution
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

Perlpodder contains a flaw that may allow a malicious user to execute arbitrary commands on the victim's system. The issue is triggered because the software fails to properly sanitise input from a podcast server in the shape of a podcast URL before passing it to a shell command. A malicious podcast server could therefore embed shell commands in the URL, resulting in the execution of these commands and hence of a loss of integrity.

- 时间线

2006-05-22 2006-05-19
Unknow Unknow

- 解决方案

Upgrade to version 0.5 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站